Menu
Авторизация:
Зарегистрироваться.
upgrade с WebGUI 7.3.22 до 7.4.0
Пользователь: hardservice
Дата: 1-октября-2007 10:18 am
Просмотров: 91607
Оценка: -2    Оценить [
|
]

при апгрейде вылазит следующая ошибка:

WebGUI 7.3.22-7.4.0
        Backing up WebGUI (7.3.22)...OK
        Updating templates.
        Adding realtime workflow option.
        Adding a keyword tagging system.
        Adding index on `userId` column in `groupings` table for performance...
                This may take a while... DONE!
        Fixing profile data without entries in userProfileField table...OK!
        Building new user profile table. This may take a while...
                Creating structure... OK!
                Looking for profile fields not defined in User Profiling...
                ... Done!
                Migrating data to temporary table... OK!
                Exchanging old data with new... OK!
                ... Done!
        Adding an storageId column to the Event table...OK!
        Adding feature to CS to enable meta data in posts... OK!
        Adding the ability for users's to invite others to the site... OK!
        Adding private messaging....OK!
        Adding a newsletter management system.
        Adding HttpProxy Url Pattern Filter...OK!
        Adding canStartThreadGroupId setting to Collaboration Systems.
        Adding useCaptcha setting to Collaboration Systems...OK
        Adding new fields to Database Links...
                Adding allowMacroAccess setting to Database Links...
                Adding additionalParameters setting to Database Links...OK
        Adding support for attachments to wikis.
        Adding default admin console group settings... DONE!
        Updating Commerce....Can't call method "getAssetCount" on an undefined value at ../../lib/WebGUI/AssetTrash.pm line 170.
        Processing upgrade executable failed!

Подскажите как решить эту проблему?

--- (Отредактировано 10/1/2007 10:19 am [GMT+0300] Написал(а) hardservice) ---

Re: upgrade с WebGUI 7.3.22 до 7.4.0
Пользователь: Admin
Дата: 13-октября-2007 4:23 pm
Просмотров: 10763
Оценка: 3    Оценить [
|
]

Судя по ошибке, скорее всего, у Вас усть удалённые элементы в корзине, и, система не может определить их место в дереве компонентов.

Предлагаю выполнить следующее:
Откройте текстовым редактором бекап базы, который был сделан при апгрейде.
Найдите в нём строчку, которая начинается:
INSERT INTO `settings` VALUES ('maxAttachmentSize','10000'), ... и так далее.
Перейдите в конец строки. Там должно быть:
что-то там... ,('runOnAdminUpdateUser',''),('specialState','upgrading');
Удалите то, что в последних скобках вместе со скобками и запятой перед ними. Должно остаться:
что-то там... ,('runOnAdminUpdateUser','');
Не забудьте, что после последней скобки должна быть точка с запятой. Не удалите её случайно.

Кроме того, убедитесь, что в бекапе кириллица читается нормально, а не "зябликами". Если вместо кириллицы другие символы - дальнейших, описанных мной действий, не выполняйте, а сообщите мне об этом здесь на форуме.

Если мы не удалим кусок ('specialState','upgrading') - то при попытке зайти на сайт после заливки базы, Вы увидите страницу, сообщающую о том, что сайт находится на техобслуживании.

Перезалейле базу из отредактированного бекапа, который был сделан при апгрейде.

Очистите корзину от удалённых элементов. Попробуйте, также, удалить всё из системной корзины.

После этого можно попробовать опять выполнить апгрейд.

Кстати, для подстраховки, можно сначала сделать апгрейд только 7.3.22-7.4.0, а после удачного его выполнения сделать апгрейд до последней версии.


С уважением,
Владимир Витковский 

Пожалуйста, все вопросы и пожелания оставляйте на форуме, а не направляйте прямиком мне на E-mail

--- (Отредактировано 13-October-2007 16:23 [GMT+0300] Написал(а) Admin) ---

Re: upgrade с WebGUI 7.3.22 до 7.4.0
Пользователь: hardservice
Дата: 14-октября-2007 5:30 pm
Просмотров: 8110
Оценка: -1    Оценить [
|
]
все корзины пустые. апгрейд делаю именное до 7.4.0

--- (Отредактировано 10/14/2007 9:16 pm [GMT+0600] Написал(а) hardservice) ---

Re: upgrade с WebGUI 7.3.22 до 7.4.0
Пользователь: hardservice
Дата: 3-ноября-2007 5:46 pm
Просмотров: 7829
Оценка: 3    Оценить [
|
]
проблема так и не решилась

--- (Отредактировано 11/3/2007 8:46 pm [GMT+0500] Написал(а) hardservice) ---

Re: upgrade с WebGUI 7.3.22 до 7.4.0
Пользователь: Admin
Дата: 3-ноября-2007 7:06 pm
Просмотров: 7811
Оценка: -3    Оценить [
|
]

Как вариант, попробуйте перед апгрейдом сделать следующее:

В папке WebGUI/sbin есть скрипт rebuildLineage.pl

Зайдя в папку WebGUI/sbin запустите /path/to/perl rebuildLineage.pl --configfile=something.conf
(подставив сюда реальный путь к перлу и название конфигфайла сайта о который спотыкается апгрейд)

Естественно, что после предыдущей неудачной попытки надо сначала всё откатить назад (перед выполнением всех действий).

Затем очистите кеш сайта.

Затем можете пробовать повторить апгрейд.


С уважением,
Владимир Витковский 

Пожалуйста, все вопросы и пожелания оставляйте на форуме, а не направляйте прямиком мне на E-mail

--- (Отредактировано 3-November-2007 19:06 [GMT+0200] Написал(а) Admin) ---

Re: upgrade с WebGUI 7.3.22 до 7.4.0
Пользователь: hardservice
Дата: 8-ноября-2007 3:55 pm
Просмотров: 7949
Оценка: 5    Оценить [
|
]
и это не помогло

--- (Отредактировано 11/8/2007 6:55 pm [GMT+0500] Написал(а) hardservice) ---

Re: upgrade с WebGUI 7.3.22 до 7.4.0
Пользователь: Admin
Дата: 8-ноября-2007 6:41 pm
Просмотров: 8966
Оценка: -4    Оценить [
|
]

Итак, спотыкается на:
Updating Commerce....Can't call method "getAssetCount" on an undefined value at ../../lib/WebGUI/AssetTrash.pm line 170.
        Processing upgrade executable failed!

Пожалуйста, опишите подробнее о том, что у Вас там в этом модуле....
Сохранилась ли какая-то информация в логах от процесса апгрейда.

Кроме того, там необходимы дополнительные перловые модули для 4 ветки:
WebGUI now requires the following additional perl modules to operate,
   and you should install them prior to upgrading:

    Config::JSON
    Text::CSV_XS
    Class::InsideOut
    HTML::TagCloud

Вы их установили? Не ругалось ли при установке? Прочтите ещё раз внимательно gotcha.txt на предмет различий между 3 и 4 веткой.
При переходе на версию 7.4 меняется структура таблиц. Есть ли на это права у пользователя базы данных, от имени которого выполняется апгрейд?
Попробуйте запустить файл testEnvironment.pl
Что он говорит?
Вобщем, нужна более подробная информация.


С уважением,
Владимир Витковский 

Пожалуйста, все вопросы и пожелания оставляйте на форуме, а не направляйте прямиком мне на E-mail

--- (Отредактировано 8-November-2007 18:41 [GMT+0200] Написал(а) Admin) ---

Re: upgrade с WebGUI 7.3.22 до 7.4.0
Пользователь: hardservice
Дата: 10-ноября-2007 7:16 pm
Просмотров: 8109
Оценка: 1    Оценить [
|
]
perl testEnvironment.pl

WebGUI is checking your system environment:

Operating System:                            Linuxish
WebGUI Root:                                 ..
Perl Interpreter:                            OK
Checking for module LWP:                     OK
Checking for module HTTP::Request:           OK
Checking for module HTTP::Headers:           OK
Checking for module Test::More:              OK
Checking for module Test::MockObject:        OK
Checking for module Test::Deep:              OK
Checking for module Pod::Coverage:           OK
Checking for module Text::Balanced:          OK
Checking for module Digest::MD5:             OK
Checking for module DBI:                     OK
Checking for module DBD::mysql:              OK
Checking for module HTML::Parser:            OK
Checking for module Archive::Tar:            OK
Checking for module Archive::Zip:            OK
Checking for module IO::Zlib:                OK
Checking for module Compress::Zlib:          OK
Checking for module Net::SMTP:               OK
Checking for module MIME::Tools:             OK
Checking for module Net::POP3:               OK
Checking for module Tie::IxHash:             OK
Checking for module Tie::CPHash:             OK
Checking for module XML::Simple:             OK
Checking for module SOAP::Lite:              OK
Checking for module DateTime:                OK
Checking for module Time::HiRes:             OK
Checking for module DateTime::Format::Strptime: OK
Checking for module DateTime::Format::Mail:  OK
Checking for module Image::Magick:           OK
Checking for module Graphics::Magick:        OK
Checking for module Log::Log4perl:           OK
Checking for module Net::LDAP:               OK
Checking for module HTML::Highlight:         OK
Checking for module HTML::TagFilter:         OK
Checking for module HTML::Template:          OK
Checking for module HTML::Template::Expr:    OK
Checking for module Parse::PlainConfig:      OK
Checking for module XML::RSSLite:            OK
Checking for module JSON:                    OK
Checking for module Config::JSON:            OK
Checking for module Text::CSV_XS:            OK
Checking for module Net::Subnets:            OK
Checking for module Finance::Quote:          OK
Checking for module POE:                     OK
Checking for module POE::Component::IKC::Server: OK
Checking for module POE::Component::Client::HTTP: OK
Checking for module Data::Structure::Util:   OK
Checking for module Apache2::Request:        OK
Checking for module URI::Escape:             OK
Checking for module POSIX:                   OK
Checking for module List::Util:              OK
Checking for module Color::Calc:             OK
Checking for module Text::Aspell:            OK
Checking for module Locale::US:              OK
Checking for module Weather::Com::Finder:    OK
Checking for module Class::InsideOut:        OK
Checking for module HTML::TagCloud:          OK
WebGUI modules:                              OK
Getting current WebGUI version:              OK
Your version:                                You are using 7.4.0-beta and 7.4.13-stable is available.
Locating WebGUI configs:                     OK

Checking config file:                        xxxx.conf
Verifying uploads folder:                    OK
Verifying DSN:                               OK
Verifying database connection:               OK

Testing complete!

апгрейд с 7.3.20 до 7.3.22 прошел нормально.

базу создавал по документации, т.е.:

mysql -e "create database WebGUI"
   mysql -e "grant all privileges on WebGUI.* to webgui@localhost identified by 'password'"
   mysql -e "flush privileges"
   mysql -uwebgui -ppassword WebGUI < docs/create.sql

 

--- (Отредактировано 11/10/2007 10:23 pm [GMT+0500] Написал(а) hardservice) ---

Re: upgrade с WebGUI 7.3.22 до 7.4.0
Пользователь: Admin
Дата: 10-ноября-2007 7:58 pm
Просмотров: 8426
Оценка: 5    Оценить [
|
]

Так я не совсем понял, удалось ли перейти на 7.4?
Или как тогда понимать строчку?:
"Your version:                                You are using 7.4.0-beta and 7.4.13-stable is available."


С уважением,
Владимир Витковский 

Пожалуйста, все вопросы и пожелания оставляйте на форуме, а не направляйте прямиком мне на E-mail

--- (Отредактировано 10-November-2007 19:58 [GMT+0200] Написал(а) Admin) ---

Re: upgrade с WebGUI 7.3.22 до 7.4.0
Пользователь: hardservice
Дата: 12-ноября-2007 4:38 pm
Просмотров: 8650
Оценка: 6    Оценить [
|
]

Так и понимать, вместе с этим:

Adding default admin console group settings... DONE!
        Updating Commerce....Can't call method "getAssetCount" on an undefined value at ../../lib/WebGUI/AssetTrash.pm line 170.
        Processing upgrade executable failed!

Апгрейд то до конца не закончен, и сайт соответсвтвенно нифига нормально не работает, в частновти, админки нет (до жути кривая - проще сказать что её нет)

--- (Отредактировано 11/12/2007 7:38 pm [GMT+0500] Написал(а) hardservice) ---

© 2004-2019 WebGUI на русском. | Powered by WebGUI
& use Foundation framework | Расположен на WebGUI hosting